IHQUPlugin (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.hqu.rendit.IHQUPlugin interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.hqu.rendit
Interface IHQUPlugin

    public interface IHQUPlugin

Implementors of this interface (notably, HQUPlugin) are able to be dispatched by the HQU `RenditServer`. This interface primarily deals with how the UI plugins are deployed, and attached to UI areas

Method Summary
`void` | `deploy(UIPlugin me)` Called when HQ deploys a plugin.
`AttachmentDescriptor` | `getAttachmentDescriptor(Attachment a, Resource r, AuthzSubject u)` Get an attachment descriptor for the attachment and associated resource.
`java.lang.String` | `getDescription()` Returns a localized string, containing the description of the plugin.
`java.util.Properties` | `getDescriptor()` Returns information about the plugin.
`java.lang.String` | `getName()` Get the name of the plugin.
`void` | `initialize(java.io.File pluginDir)` Called before anything else, to inform the plugin where it is located on disk.

Method Detail

### initialize

    void initialize(java.io.File pluginDir)

  Called before anything else, to inform the plugin where it is located on disk.

### getDescriptor

    java.util.Properties getDescriptor()

  Returns information about the plugin. The properties here are from RenditServer.PROP_*

### getName

    java.lang.String getName()

  Get the name of the plugin. This is a unique, short-name (such as live_exec, or auditcenter), which likely apply to a directory on disk.

### getDescription

    java.lang.String getDescription()

  Returns a localized string, containing the description of the plugin.

### deploy

    void deploy(UIPlugin me)

  Called when HQ deploys a plugin.

  Parameters:
    `me` - HQ's internal representation of the plugin

### getAttachmentDescriptor

    AttachmentDescriptor getAttachmentDescriptor(Attachment a,
                                                 Resource r,
                                                 AuthzSubject u)

  Get an attachment descriptor for the attachment and associated resource.

  Parameters:
    `a` - An attachment, previously created via deploy (or some other means)
    `r` - The resource that is currently being viewed, when the attachment is being rendered. For attachments that are global, this will be the root resource (id=0)
    `u` - The user, attempting to view the attachment
  Returns:
    a descriptor if one should be displayed, else null, indicating that the attachment should not be displayed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.